package ch.hslu.appe.order.logic.model;

import ch.hslu.appe.order.model.Order;
import ch.hslu.appe.usermanagement.model.User;

/**
 * UserOrder.
 */
public final class UserOrder {

    private final Order order;
    private final User user;

    /**
     * Sets the UserOrder Infos.
     * @param order Order
     * @param user User
     */
    public UserOrder(final Order order, final User user) {
        this.order = order;
        this.user = user;
    }

    /**
     * Returns the Order.
     * @return order
     */
    public Order getOrder() {
        return order;
    }

    /**
     * Returns the User.
     * @return user
     */
    public User getUser() {
        return user;
    }
}
