package ch.hslu.appe.usermanagement.logic.model;

/**
 * User.
 */
public final class User {

    private int id;
    private String login;
    private String password;
    private String prename;
    private String role;
    private String salutation;
    private UserState state;
    private String surname;

    /**
     * Empty constructor.
     */
    public User() {

    }

    /**
     * Gets the unique user id, generated by the database.
     * @return Returns the id
     */
    public int getId() {
        return id;
    }

    /**
     * Gets the login name.
     * @return Returns the login name
     */
    public String getLogin() {
        return login;
    }

    /**
     * Gets the password (Salted MD5 Hash).
     * @return Returns the hashed password
     */
    public String getPassword() {
        return password;
    }

    /**
     * Gets the prename.
     * @return Returns the prename
     */
    public String getPrename() {
        return prename;
    }

    /**
     * Gets the role (admin, customer, etc.).
     * @return Returns the administrative role
     */
    public String getRole() {
        return role;
    }

    /**
     * Gets the salutation.
     * @return Returns the salutation
     */
    public String getSalutation() {
        return salutation;
    }

    /**
     * Gets the user state.
     * @return Returns the user state
     */
    public UserState getState() {
        return state;
    }

    /**
     * Gets the surname.
     * @return Returns the surname
     */
    public String getSurname() {
        return surname;
    }

    /**
     * Sets the user login.
     * @param login The login name
     */
    public void setLogin(final String login) {
        this.login = login;
    }

    /**
     * Sets the prename.
     * @param prename The prename
     */
    public void setPrename(final String prename) {
        this.prename = prename;
    }

    /**
     * Sets the role.
     * @param role The role
     */
    public void setRole(final String role) {
        this.role = role;
    }

    /**
     * Sets the salutation (mr., mrs., dr., etc.).
     * @param salutation The salutation
     */
    public void setSalutation(final String salutation) {
        this.salutation = salutation;
    }

    /**
     * Sets the user state.
     * @param state The user state
     */
    public void setState(final UserState state) {
        this.state = state;
    }

    /**
     * Sets the surname.
     * @param surname The surname
     */
    public void setSurname(final String surname) {
        this.surname = surname;
    }
}
