package ch.hslu.appe.usermanagement.webservice;

import javax.jws.WebMethod;
import javax.jws.WebService;

import ch.hslu.appe.usermanagement.webservice.dto.SessionDto;

/**
 * Access Service Interface.
 */
@WebService
public interface AccessService {

    /**
     * Checks, whether the user has access or not.
     * @param sessionKey The User SessionKey
     * @param right The right
     * @return Returns true if the user has access, otherwise false
     */
    @WebMethod
    boolean checkAccess(String sessionKey, String right);

    /**
     * Tries to login a user. If the login is successful, it creates a new session.
     * @param login The login name
     * @param password The sha-1 hashed password
     * @return Returns the session key on success, otherwise null.
     */
    @WebMethod
    SessionDto login(String login, String password);

    /**
     * Logs out a session.
     * @param key The session key
     * @return Returns true on success, otherwise false.
     */
    @WebMethod
    boolean logout(String key);
}
